<ng-container *ngIf="user && loggedinUser">
    <mat-card class="p-0">
        <mat-card-title>
            <img mat-card-image class="user-image rounded-circle" src="{{user.imageUrl ? user.imageUrl : '/assets/images/profile-default.png' }}" />
            <span class="user-owner">
                {{user.fullName}}
                <p style="font-size:12px; color:gray">{{user.createdTime | dateAgo}}</p>
            </span>
            
        </mat-card-title>
        
        <mat-card-actions>
            <button *ngIf="user.userId !== loggedinUser.userId" mat-button color="primary"> Friend Request </button>
        </mat-card-actions>
    </mat-card>
</ng-container>